DtEditorGetInsertionPosition(library call)

NAME
DtEditorGetInsertionPosition — retrieve the position of the insert cursor in a DtEditor widget

SYNOPSIS

#include &<Dt/Editor.h>
XmTextPosition DtEditorGetInsertionPosition(
Widget widget);

DESCRIPTION

The DtEditorGetInsertionPosition function accesses the current position of the insertion cursor in the DtEditor widget. The position is an integer number of characters from the beginning of the widget's text buffer. The first character position is zero. The position of the insertion cursor can be set with DtEditorSetInsertionPosition(3).

The widget argument specifies the DtEditor widget ID.

For a complete definition of the DtEditor widget and its associated resources, see DtEditor(3).

RETURN VALUE

Upon successful completion, the DtEditorGetInsertionPosition function returns an XmTextPosition value that indicates the position of the insertion cursor in the text; otherwise, it returns NULL.

SEE ALSO

Dt/Editor.h - DtEditor(5), DtEditor(3), DtEditorGetLastPosition(3), DtEditorSetInsertionPosition(3).